# @(#)02  1.6 src/cmdline/staging/scripts/delete_domain.py, amws.cmdline, fim611, 060921a 9/18/06 16:18:24
# (C) Copyright International Business Machines Corporation 2005. All rights
# reserved.  U.S. Government Users Restricted Rights -- Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
                                                                                
from fim_base import read_properties_file, get_domain_instance, commit_session
from domain_utils import delete_domain, is_domain_present
from com.tivoli.am.fim.logging import FIMLoggerFactory
from com.tivoli.am.fim.logging import FIMLogger
from com.tivoli.am.fim.logging import FIMLevel
from com.tivoli.am.fim.i18n.msgs import CmdLineMessages
from jarray import array
from java.lang import Object
from com.tivoli.am.fim.logging import FIMLoggerConstants

# Set up FIMLogger
component_name = "StagingTools"
script_name = "delete_domain.py"
method_name = script_name
class_name = "com.tivoli.am.fim.cmdline." + script_name[0:-3]
FIMLoggerFactory.enableStdout(FIMLevel.ALL)
FIMLoggerFactory.setPreferredFIMLoggerImpl(FIMLoggerConstants.FIMLOGGER_BASE_IMPL)
log = FIMLoggerFactory.getFIMLogger(component_name, class_name, CmdLineMessages.CLASS_NAME)

def usage():
    inserts = array([script_name],Object)
    log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.usage_delete_domain, \
        inserts)
    raise SystemExit

if __name__ == 'main':

    if(len(sys.argv) < 1):
        usage()
        
    props_file = sys.argv[0]

    domain_props = read_properties_file(props_file)
    if not is_domain_present(domain_props):
        raise SystemExit
        
    domain = get_domain_instance(domain_props)   

    # create variable inserts for logger
    inserts = array([domain_props["Domain"]],Object)
     
    try:
        delete_domain(domain)
        log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.deleted_domain_successfully, inserts)
        log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.restart_websphere)   
    except:
        log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.no_domains_exist,inserts)
        raise SystemExit
