# @(#)14  1.4 src/cmdline/staging/scripts/show_federation.py, amws.cmdline, fim611, 060921a 9/18/06 16:18:30
# (C) Copyright International Business Machines Corporation 2005. All rights
# reserved.  U.S. Government Users Restricted Rights -- Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

from fed_utils import show_federation, get_federation
from domain_utils import is_domain_present
from fim_base import read_properties_file
from com.tivoli.am.fim.logging import FIMLoggerFactory
from com.tivoli.am.fim.logging import FIMLogger
from com.tivoli.am.fim.logging import FIMLevel
from com.tivoli.am.fim.i18n.msgs import CmdLineMessages
from jarray import array
from java.lang import Object
from com.tivoli.am.fim.logging import FIMLoggerConstants

# Set up FIMLogger
component_name = "StagingTools"
script_name = "show_federation.py"
method_name = script_name
class_name = "com.tivoli.am.fim.cmdline." + script_name[0:-3]
FIMLoggerFactory.enableStdout(FIMLevel.ALL)
FIMLoggerFactory.setPreferredFIMLoggerImpl(FIMLoggerConstants.FIMLOGGER_BASE_IMPL)
log = FIMLoggerFactory.getFIMLogger(component_name, class_name, CmdLineMessages.CLASS_NAME)

def usage():
    inserts = array([script_name],Object)
    log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.usage_show_federation, \
        inserts)
    raise SystemExit

if __name__ == 'main':

    if len(sys.argv) < 2:
        usage()

    props_file = sys.argv[0]
    fed_name = sys.argv[1]
    
    props = read_properties_file(props_file)
    if not is_domain_present(props):
        raise SystemExit
    
    # Get the federation object
    (fed, fed_mgr) = get_federation(fed_name, props_file)

    # Check to see if federation exists and print results
    if fed:
        inserts = array([fed_name],Object)
        log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.show_federation_properties, \
            inserts)       
        show_federation(fed) # print properties
    else:
        inserts = array([fed_name], Object)
        log.logMessage(FIMLevel.INFO, method_name, \
            CmdLineMessages.federation_does_not_exist, inserts)
        
    raise SystemExit

